Bug 1590621 - pythontex requires fvextra.sty but doesn't include it and package doesn't require it
Summary: pythontex requires fvextra.sty but doesn't include it and package doesn't req...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive-base
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-13 03:59 UTC by Paul DeStefano
Modified: 2018-08-07 01:14 UTC (History)
1 user (show)

Fixed In Version: texlive-base-20170520-41.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-07 01:14:34 UTC


Attachments (Terms of Use)

Description Paul DeStefano 2018-06-13 03:59:59 UTC
Description of problem:
pythontex cannot run after update to Fedora28.

Version-Release number of selected component (if applicable):
texlive-pythontex 7:20170520-29.fc28

How reproducible:
Always since update

Steps to Reproduce:
1. install texlive-pythontex package
2. \usepackage{pythontex}

Actual results:
LaTeX Error: File `fvextra.sty' not found.

Additional info:
This wouldn't be so bad if fvextra was find-able in dnf, but it's not, so now pythontex is completely broken until package maintainer is able to fix it.

Comment 1 Fedora Update System 2018-06-21 14:35:46 UTC
texlive-2016-48.20160520.fc28 texlive-base-20170520-38.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-300a2ceaab

Comment 2 Fedora Update System 2018-06-22 15:52:48 UTC
texlive-2016-48.20160520.fc28, texlive-base-20170520-38.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-300a2ceaab

Comment 3 Paul DeStefano 2018-06-22 21:34:09 UTC
My testing shows that this package does not fix the problem.  I still get this error from pdflatex:

! LaTeX Error: File `fvextra.sty' not found.

Comment 4 Paul DeStefano 2018-06-26 02:26:56 UTC
Okay, I think this did fix the problem, although it did introduce a new problem, but I think that is not directly related to this bug.

Comment 5 Fedora Update System 2018-07-03 16:11:15 UTC
texlive-base-20170520-39.fc28 texlive-2016-49.20160520.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 6 Fedora Update System 2018-07-04 18:21:05 UTC
texlive-2016-49.20160520.fc28, texlive-base-20170520-39.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 7 Fedora Update System 2018-07-08 12:45:49 UTC
texlive-2016-50.20160520.fc28 texlive-base-20170520-40.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 8 Fedora Update System 2018-07-08 21:22:01 UTC
texlive-2016-50.20160520.fc28, texlive-base-20170520-40.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 9 Paul DeStefano 2018-07-16 08:54:09 UTC
Okay, so, my texlive installation became broken after some updates (bug 1601333).  To try to fix this, I removed all texlive packages and I'm trying to rebuild a working environment.  But, I got stuck on this same problem, again!

texlive-base-20170520-40.fc28.x86_64
texlive-2016-50.20160520.fc28.noarch

I have the latest texlive-base and texlive from testing.  I don't understand.

Comment 10 Paul DeStefano 2018-07-16 15:53:43 UTC
Ah, yes, update pythontex from testing.  Had to reread the whole thread with bodhi notes.

Comment 11 Fedora Update System 2018-07-23 14:06:04 UTC
texlive-2016-51.20160520.fc28 texlive-base-20170520-41.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 12 Fedora Update System 2018-07-23 22:21:33 UTC
texlive-2016-51.20160520.fc28, texlive-base-20170520-41.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 13 Fedora Update System 2018-08-07 01:14:34 UTC
texlive-2016-51.20160520.fc28, texlive-base-20170520-41.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.